<?php
/**
 * Implements version check for Veristore
 *
 * @package aixVeristore
 * @author AIXhibit AG
 * @link http://www.aixhibit.de
 * @copyright (C) 2014, AIXhibit AG
 * @license http://www.gnu.org/licenses/gpl-3.0.txt GPL
 * @extends navigation
 */
class aixVeristoreNavigation extends aixVeristoreNavigation_parent
{

    /**
     * Every Time Admin starts we perform these checks
     * returns some messages if there is something to display
     *
     * @return string
     */
    protected function _doStartUpChecks()
    {
        $aMessage = parent::_doStartUpChecks();

        // version check
        if ( $sVersionNotice = $this->_checkVsVersion() ) {
            $aMessage['message'] .= '<br /> <img src="'.$this->getViewConfig()->getModuleUrl('aixVeristore', 'veristore-text.png').'" /> '.$sVersionNotice;
        }

        return $aMessage;
    }

    /**
     * Checks if newer plugin version available. If true - returns message
     *
     * @return string
     */
    protected function _checkVsVersion()
    {
        $aModuleVersions = $this->getConfig()->getConfigParam('aModuleVersions');
        $oModule = oxNew('oxModule');
        $oModule->load('aixVeristore');
        $sInstalledVersion = $oModule->getInfo('version');
        //$sNewestVersion = '2.0.0';
        $sQuery = 'http://www.veristore.de/plugins/versioncheck/oxid.php?getlatestversion';
        if ($sLatestVersion = oxUtilsFile::getInstance()->readRemoteFileAsString($sQuery)) {
            // current version is older ..
            if (version_compare($sInstalledVersion, $sLatestVersion) == '-1') {
                return sprintf(oxLang::getInstance()->translateString('NAVIGATION_NEWVERSIONAVAILABLE'), $sLatestVersion);
            }
        }
    }
}